!-----------------------------------------------------------------------------
!
! RN
!
! The program RN determines the physiographic features of a drainage system
! using grid-based DEM data.
!
!-----------------------------------------------------------------------------

program rn

use mpar
use mbbio
implicit none

! read <parfile>

call rparfile('hap.in')
WRITE(*,*) "N_celle ", N_celle

! open the binary files basin_b/basin_i

call load_dtm("basin_b","basin_i")

call csort()
WRITE(6,*)'csort I completed'

call depit()
WRITE(6,*)'depit completed'

call csort()
WRITE(6,*)'csort II completed'

call ds()
WRITE(6,*)'ds completed'

call isort()
WRITE(6,*)'isort completed'

call lpf()
WRITE(6,*)'lpf completed'

call hc()
WRITE(6,*)'hc completed'

WRITE(6,*)'rn completed'

! save the file basin_b

call save_dtm("basin_b")

end program rn
